Package org.lwjgl.opengl

# Class NVTextureMultisample

java.lang.Object
org.lwjgl.opengl.NVTextureMultisample

public final class NVTextureMultisample extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TEXTURE_COLOR_SAMPLES_NV`
Accepted by the <pname> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_COVERAGE_SAMPLES_NV`
Accepted by the <pname> parameter of GetTexLevelParameter:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTexImage2DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void`
`glTexImage3DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`
`static void`
`glTextureImage2DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void`
`glTextureImage2DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, boolean fixedSampleLocations)`
`static void`
`glTextureImage3DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`
`static void`
`glTextureImage3DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_COVERAGE_SAMPLES_NV

public static final int GL_TEXTURE_COVERAGE_SAMPLES_NV
Accepted by the <pname> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_COLOR_SAMPLES_NV

public static final int GL_TEXTURE_COLOR_SAMPLES_NV
Accepted by the <pname> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

## Method Details

### glTexImage2DMultisampleCoverageNV

public static void glTexImage2DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)

### glTexImage3DMultisampleCoverageNV

public static void glTexImage3DMultisampleCoverageNV(int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)

### glTextureImage2DMultisampleNV

public static void glTextureImage2DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, boolean fixedSampleLocations)

### glTextureImage3DMultisampleNV

public static void glTextureImage3DMultisampleNV(int texture, int target, int samples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)

### glTextureImage2DMultisampleCoverageNV

public static void glTextureImage2DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, boolean fixedSampleLocations)

### glTextureImage3DMultisampleCoverageNV

public static void glTextureImage3DMultisampleCoverageNV(int texture, int target, int coverageSamples, int colorSamples, int internalFormat, int width, int height, int depth, boolean fixedSampleLocations)